%define version 1.13
%define name perl-DBI
%define prefix %{_prefix}

Name: %{name}
Version: %{version}
Summary: DBI - The Perl Database Interface by Tim Bunce.
Release: 2mdk
Copyright: GPL
Group: Development/Perl
Source: ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/DBI/DBI-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root

%description
The Perl Database Interface (DBI) is a database access Application Programming
Interface (API) for the Perl Language. The Perl DBI API specification defines a
set of functions, variables and conventions that provide a consistent database
interface independant of the actual database being used.


%prep -q
%setup -n DBI-%{version}
%build
perl Makefile.PL
make
make test

%install
make install PREFIX=$RPM_BUILD_ROOT/usr

if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  find $RPM_BUILD_ROOT/usr/info -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/lib/perl5/man ]; then
  find $RPM_BUILD_ROOT/usr/lib/perl5/man -type f -exec bzip2 -9f {} \;
fi

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
/usr/lib/perl5/man/man3/Bundle::DBI.3.bz2
/usr/lib/perl5/man/man3/DBD::ADO.3.bz2
/usr/lib/perl5/man/man3/DBD::Proxy.3.bz2
/usr/lib/perl5/man/man3/DBI.3.bz2
/usr/lib/perl5/man/man3/DBI::DBD.3.bz2
/usr/lib/perl5/man/man3/DBI::FAQ.3.bz2
/usr/lib/perl5/man/man3/DBI::Format.3.bz2
/usr/lib/perl5/man/man3/DBI::ProxyServer.3.bz2
/usr/lib/perl5/man/man3/DBI::Shell.3.bz2
/usr/lib/perl5/man/man3/DBI::W32ODBC.3.bz2
/usr/lib/perl5/man/man3/Win32::DBIODBC.3.bz2
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/Bundle/DBI.pm
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/DBD/ADO.pm
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/DBD/ExampleP.pm
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/DBD/NullP.pm
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/DBD/Proxy.pm
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/DBD/Sponge.pm
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/DBI.pm
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/DBI/DBD.pm
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/DBI/FAQ.pm
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/DBI/Format.pm
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/DBI/ProxyServer.pm
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/DBI/Shell.pm
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/DBI/W32ODBC.pm
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/Win32/DBIODBC.pm
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/DBI/.packlist
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/DBI/DBI.bs
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/DBI/DBI.so
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/DBI/DBIXS.h
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/DBI/Driver.xst
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/DBI/dbd_xsh.h
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/DBI/dbi_sql.h


%changelog
* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.13-2mdk
- fixed group
- rebuild with new perl
- fixed location

* Sun Dec 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- First specfile

